import request from '@/utils/request'

// 生产报工记录:明细界面
export function getList(query) {
  return request({
    url: "/report/pro/feedback/getList",
    method: "get",
    params: query,
  });
}


// 生产报工记录:统计方式工序
export function getListByProcess(query) {
  return request({
    url: '/report/pro/feedback/getListByProcess',
    method: "get",
    params: query
  });
}

// 生产报工记录:统计方式用户
export function getListByUser(query) {
  return request({
    url: '/report/pro/feedback/getListByUser',
    method: "get",
    params: query
  });
}
// 生产报工记录:统计方式车间
export function getListByWorkshop(query) {
  return request({
    url: '/report/pro/feedback/getListByWorkshop',
    method: "get",
    params: query
  });
}

// 生产报工记录:统计方式工单
export function getListByWorkOrder(query) {
  return request({
    url: '/report/pro/feedback/getListByWorkOrder',
    method: "get",
    params: query
  });
}

// 生产报工记录:统计方式工作中心
export function getListByWorkstation(query) {
  return request({
    url: '/report/pro/feedback/getListByWorkstation',
    method: "get",
    params: query
  });
}

// 生产报工记录:统计方式工作单元
export function getListByWorkunit(query) {
  return request({
    url: '/report/pro/feedback/getListByWorkunit',
    method: "get",
    params: query
  });
}

// 生产报工记录:统计方式不合格原因
export function getListByDefect(query) {
  return request({
    url: '/report/pro/feedback/getListByDefect',
    method: "get",
    params: query
  });
}

// 生产报工报表:计划达成率统计表
export function getAchievementRateApi(query) {
  return request({
    url: '/report/pro/feedback/getAchievementRate',
    method: "get",
    params: query
  });
}

// 生产报工报表:效率统计表
export function getEfficiencyRateApi(query) {
  return request({
    url: '/report/pro/feedback/getEfficiencyRate',
    method: "get",
    params: query
  });
}

// 生产报工报表:产品不良分析统计表
export function getFeedDefRateApi(query) {
  return request({
    url: '/report/pro/feedback/getFeedDefRate',
    method: "get",
    params: query
  });
}

// 生产报工报表:生产力统计表
export function getProductivityRateApi(query) {
  return request({
    url: '/report/pro/feedback/getProductivityRate',
    method: "get",
    params: query
  });
}
